angular.module('admin')
.controller('InvoicedController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/seller/dash/'+$scope.dock+'/invoiced')
    .success(function(order){
      $scope.order = order;
      $scope.dock = $window.sessionStorage.dock;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };
}).controller('CanceledController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;

  $scope.inicio = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/seller/dash/'+$scope.dock+'/canceled')
    .success(function(order){
      $scope.order = order;
      $scope.dock = $window.sessionStorage.dock;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };
}).controller('ReadyController', function($scope, $http, $route, $routeParams, $window){
  $scope.order = [];
  $scope.mensagem = '';
  $scope.dock = $window.sessionStorage.dock;
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestProduct();
  };

  $scope.requestProduct = function(){
    $http.get('../../api/seller/dash/'+$scope.dock+'/ready-for-handling')
    .success(function(order){
      $scope.order = order;
      $scope.dock = $window.sessionStorage.dock;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Você não tem pedidos com este status';
    });
  };
});
